/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class TreemapNodeStylingEventArgsDescription extends Description {
    constructor() {
        super();
        this.k = 0;
        this.j = 0;
        this.p = null;
        this.q = null;
        this.s = null;
        this.r = null;
        this.i = 0;
        this.t = null;
        this.h = 0;
        this.f = null;
    }
    get_type() {
        return "TreemapNodeStylingEventArgs";
    }
    get type() {
        return this.get_type();
    }
    get value() {
        return this.k;
    }
    set value(a) {
        this.k = a;
        this.e("Value");
    }
    get sum() {
        return this.j;
    }
    set sum(a) {
        this.j = a;
        this.e("Sum");
    }
    get customValueRef() {
        return this.p;
    }
    set customValueRef(a) {
        this.p = a;
        this.e("CustomValueRef");
    }
    get itemRef() {
        return this.q;
    }
    set itemRef(a) {
        this.q = a;
        this.e("ItemRef");
    }
    get parentItemRef() {
        return this.s;
    }
    set parentItemRef(a) {
        this.s = a;
        this.e("ParentItemRef");
    }
    get label() {
        return this.r;
    }
    set label(a) {
        this.r = a;
        this.e("Label");
    }
    get parentValue() {
        return this.i;
    }
    set parentValue(a) {
        this.i = a;
        this.e("ParentValue");
    }
    get parentLabel() {
        return this.t;
    }
    set parentLabel(a) {
        this.t = a;
        this.e("ParentLabel");
    }
    get parentSum() {
        return this.h;
    }
    set parentSum(a) {
        this.h = a;
        this.e("ParentSum");
    }
    get style() {
        return this.f;
    }
    set style(a) {
        this.f = a;
        this.e("Style");
    }
}
TreemapNodeStylingEventArgsDescription.$t = markType(TreemapNodeStylingEventArgsDescription, 'TreemapNodeStylingEventArgsDescription', Description.$);
